regina::detail::FaceValidity< false, testLinks > Class Template Reference
Implementation details

Helper class that stores whether a face is valid. More...

`#include <triangulation/detail/face.h>`

## Public Member Functions

bool | isValid () const
| Always returns `true`. More...

## Protected Member Functions

void | markBadIdentification ()
| Marks this face as having a non-identity self-identification. More...
void | markBadLink ()
| Marks this face as having a bad link. More...

## Detailed Description

### template<bool testLinks>
class regina::detail::FaceValidity< false, testLinks >

Helper class that stores whether a face is valid.

See the general FaceValidity template notes for further details.

This specialisation is used for dimensions in which faces are never invalid. It optimises away all the implementation details (since there is nothing to store and nothing to compute).

The documentation for this class was generated from the following file:

- triangulation/detail/face.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).